/*
   Tamot --- Task Modelling Editor
   Copyright (C) 2000 Commonwealth Scientific and Industrial Research Organisation
   (CSIRO), Australia. All rights reserved. 

   The Software, owned by CSIRO Australia, has been developed by the CSIRO 
   Intelligent Interactive Technology group. 
   For more information, please see http://www.cmis.csiro.au/iit/.

   The Software is a beta-test version for internal research and evaluation purposes 
   by the Licensee. The Software is still at a development stage. 
   It has not undergone complete testing and may have inherent errors,
   bugs or deficiencies that can affect the operation of the Software. 

   We encourage your feedback and suggestions. Any bugs / suggestions found please email to
   Shijian.Lu@cmis.csiro.au and Thomas.Lo@cmis.csiro.au. 

   After you have signed the Beta-Test Software License Agreement with the CSIRO,
   CSIRO grants you a non-exclusive, non-transferable license to use it only for your 
   personal, non-commercial and lawful end use. Implied licenses are negated. 

   Warranty Disclaimer : 

   CSIRO supplies the Software on an "as is" basis and makes no warranties that use of
   the Software by the Licensee will not infringe any third party’s 
   Intellectual Property Rights nor that the Software will be of merchantable quality,
   or suitable for a particular purpose. CSIRO excludes all terms, conditions and
   warranties implied by custom, the general law or statute in relation to the
   Software.
*/

//Source file: C:/Data/Isolde/Tamot3/Current/domainModel/Card.java

package domainModel;


/**
 * The root class for all language cards
 * @author 
 */
public class Card  extends DmClass
{
	//private String _name;		//in lowercase
	private String _spelling;	//as entered by user
	public Card() 
	{
	
	}

	public Card(String na) 
	{
		super( na);	//.toLowerCase().trim();
		_spelling =na;
		
	}
	
	public Card(String id,String na) 
	{
		super( id,na);	//.toLowerCase().trim();
		_spelling =na;
		
	}

/**
* @author 
* Access method for the _name property.
* @return   the current value of the _name property
*/
	//public String getName() {
//		return _name;
	//}
	
/**
 * @return void
 * @author
* Sets the value of the _name property.
* @param aName the new value of the _name property
	 */
//	public void setName(String aName) {
//		_name = aName.toLowerCase().trim();
//	}

/**
* make this inhenrited method not accessible
*/
	public boolean getDirty() {
		return false;
	}
	
/**
* make this inhenrited method not accessible
*/
	public void setDirty(boolean b) {
		super.setDirty(false);
	}

/**
* make this inhenrited method not accessible
*/
	public String getNote() {
		return "";
	}
	
/**
* make this inhenrited method not accessible
*/
	public void setNote(String st) {
		super.setNote("");
	}
	


/**
* @author 
* Access method for the _spelling property.
* @return   the current value of the _spelling property
*/
	public String getSpelling() {
		return _spelling;}
	
/**
 * @return void
 * @author
* Sets the value of the _spelling property.
* @param aName the new value of the _spelling property
	 */
	public void setSpelling(String aName) {
		_spelling = aName;
	}

	public static void main(String args[]) {
    	
		Card d1 = new Card("dMObject1");

		
		System.out.println( d1.getSpelling() );
    }
}